import { S as SvelteComponent, i as init, s as safe_not_equal, V as create_slot, f as element, b as attr, t as toggle_class, c as insert, Q as update_slot_base, R as get_all_dirty_from_scope, T as get_slot_changes, v as transition_in, w as transition_out, e as detach } from './index.a27a54ef.js';
import { c as create_classes } from './styles.c72835fa.js';

/* src/components/Column/Column.svelte generated by Svelte v3.49.0 */

function create_fragment(ctx) {
	let div;
	let div_class_value;
	let div_style_value;
	let current;
	const default_slot_template = /*#slots*/ ctx[7].default;
	const default_slot = create_slot(default_slot_template, ctx, /*$$scope*/ ctx[6], null);

	return {
		c() {
			div = element("div");
			if (default_slot) default_slot.c();
			attr(div, "id", /*elem_id*/ ctx[2]);
			attr(div, "class", div_class_value = "overflow-hidden flex flex-col gr-gap gr-form-gap relative col gap-4 " + create_classes(/*style*/ ctx[5]));
			attr(div, "style", div_style_value = `min-width: min(${/*min_width*/ ctx[1]}px, 100%); flex-grow: ${/*scale*/ ctx[0]}`);
			toggle_class(div, "bg-gray-50", /*variant*/ ctx[4] === "panel");
			toggle_class(div, "p-2", /*variant*/ ctx[4] === "panel");
			toggle_class(div, "rounded-lg", /*variant*/ ctx[4] === "panel");
			toggle_class(div, "!hidden", !/*visible*/ ctx[3]);
		},
		m(target, anchor) {
			insert(target, div, anchor);

			if (default_slot) {
				default_slot.m(div, null);
			}

			current = true;
		},
		p(ctx, [dirty]) {
			if (default_slot) {
				if (default_slot.p && (!current || dirty & /*$$scope*/ 64)) {
					update_slot_base(
						default_slot,
						default_slot_template,
						ctx,
						/*$$scope*/ ctx[6],
						!current
						? get_all_dirty_from_scope(/*$$scope*/ ctx[6])
						: get_slot_changes(default_slot_template, /*$$scope*/ ctx[6], dirty, null),
						null
					);
				}
			}

			if (!current || dirty & /*elem_id*/ 4) {
				attr(div, "id", /*elem_id*/ ctx[2]);
			}

			if (!current || dirty & /*style*/ 32 && div_class_value !== (div_class_value = "overflow-hidden flex flex-col gr-gap gr-form-gap relative col gap-4 " + create_classes(/*style*/ ctx[5]))) {
				attr(div, "class", div_class_value);
			}

			if (!current || dirty & /*min_width, scale*/ 3 && div_style_value !== (div_style_value = `min-width: min(${/*min_width*/ ctx[1]}px, 100%); flex-grow: ${/*scale*/ ctx[0]}`)) {
				attr(div, "style", div_style_value);
			}

			if (dirty & /*style, variant*/ 48) {
				toggle_class(div, "bg-gray-50", /*variant*/ ctx[4] === "panel");
			}

			if (dirty & /*style, variant*/ 48) {
				toggle_class(div, "p-2", /*variant*/ ctx[4] === "panel");
			}

			if (dirty & /*style, variant*/ 48) {
				toggle_class(div, "rounded-lg", /*variant*/ ctx[4] === "panel");
			}

			if (dirty & /*style, visible*/ 40) {
				toggle_class(div, "!hidden", !/*visible*/ ctx[3]);
			}
		},
		i(local) {
			if (current) return;
			transition_in(default_slot, local);
			current = true;
		},
		o(local) {
			transition_out(default_slot, local);
			current = false;
		},
		d(detaching) {
			if (detaching) detach(div);
			if (default_slot) default_slot.d(detaching);
		}
	};
}

function instance($$self, $$props, $$invalidate) {
	let { $$slots: slots = {}, $$scope } = $$props;
	let { scale = 1 } = $$props;
	let { min_width = 0 } = $$props;
	let { elem_id = "" } = $$props;
	let { visible = true } = $$props;
	let { variant = "default" } = $$props;
	let { style = {} } = $$props;

	$$self.$$set = $$props => {
		if ('scale' in $$props) $$invalidate(0, scale = $$props.scale);
		if ('min_width' in $$props) $$invalidate(1, min_width = $$props.min_width);
		if ('elem_id' in $$props) $$invalidate(2, elem_id = $$props.elem_id);
		if ('visible' in $$props) $$invalidate(3, visible = $$props.visible);
		if ('variant' in $$props) $$invalidate(4, variant = $$props.variant);
		if ('style' in $$props) $$invalidate(5, style = $$props.style);
		if ('$$scope' in $$props) $$invalidate(6, $$scope = $$props.$$scope);
	};

	return [scale, min_width, elem_id, visible, variant, style, $$scope, slots];
}

class Column extends SvelteComponent {
	constructor(options) {
		super();

		init(this, options, instance, create_fragment, safe_not_equal, {
			scale: 0,
			min_width: 1,
			elem_id: 2,
			visible: 3,
			variant: 4,
			style: 5
		});
	}
}

var Column$1 = Column;

export { Column$1 as C };
